Subject: Re: [GIT GUI PATCH] git-gui: use vcompare when comparing the git version

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 May 2014 14:49:34 -0700

Junio C Hamano <[email-masked]> writes:

> Jens Lehmann <[email-masked]> writes:
>
>> Junio, I believe this issue needs to be fixed before 2.0 final. Otherwise
>> git gui will not work inside submodules anymore due to the major version
>> number change from 1 to 2. I'd like to hear Pat's opinion on this; even
>> though I think my patch is less risky (as it doesn't change behavior for
>> pre-2 versions), he might like Chris' proposal better.
>
> Thanks; I share the same feeling.

So after checking git://repo.or.cz/git-gui.git/ and seeing that I am
not missing any commit from there, I tentatively created a fork of
it, applied your patch and merged it somewhere on 'pu' that is close
to 'next'.  We may want to fast-track it to 2.0 without waiting for
an Ack from Pat but let's give him one more day to respond.